import*as React from'react';import {Error500}from'@admin-layout/ant-ui';import {useRouteError,isRouteErrorResponse}from'@remix-run/react';function ErrorBoundary() {
    const error = useRouteError();
    if (isRouteErrorResponse(error)) {
        return React.createElement(Error500, { title: `Route Error: ${error.statusText}`, status: error.status, data: error.data });
    }
    else if (error instanceof Error) {
        return React.createElement(Error500, { title: error.message, status: "500", data: error.stack });
    }
    else {
        return React.createElement(Error500, { title: "Unknown Error", status: "500", data: error });
    }
}export{ErrorBoundary};