import*as React from'react';import {Box,VStack,Heading,Text,Code,Button}from'@chakra-ui/react';const Error500 = ({ title, status, data }) => {
    const handleReload = () => {
        window.location.reload();
    };
    return (React.createElement(Box, { display: "flex", alignItems: "center", justifyContent: "center", height: "100vh" },
        React.createElement(VStack, { spacing: 4, textAlign: "center" },
            React.createElement(Heading, { as: "h1", size: "xl" },
                "Error ",
                status),
            React.createElement(Text, null, title),
            data && (React.createElement(Box, { maxW: "md", mx: "auto", overflow: "auto" },
                React.createElement(Code, { p: 4, display: "block", whiteSpace: "pre", textAlign: "left" }, typeof data === 'string' ? data : JSON.stringify(data, null, 2)))),
            React.createElement(Button, { colorScheme: "teal", onClick: handleReload }, "Reload"))));
};export{Error500 as default};